<?php
/***************************************************************************
 *				admin_newsfeed_sources.php
 *				--------------------------
 *   Last Updated	:	Thursday, March 1, 2007
 *   By			:	John MacAuley - The Comic Haven
 *   E-mail		:	hacksaw@thecomichaven.com
 *
 *   Version		: 	1.2.0
 *
 *   Changes:
 *   1.2.0	- Updated file version with no changes.
 *   1.1	- Changed hardcoded RDF URL to load from language file so
 *   		  user can configure.  Added an example RDF file the user
 *   		  can play with.  Added retrieve of status RDF file from
 *   		  thecomichaven.com for FIND updates.
 *
 ***************************************************************************/

define('IN_PHPBB', 1);

if( !empty($setmodules) )
{
	$filename = basename(__FILE__);
	$module['FIND']['Newsfeed Sources'] = $filename;

	return;
}

//
// Load default header
//
$no_page_header = TRUE;
$phpbb_root_path = './../';
require($phpbb_root_path . 'extension.inc');
require('./pagestart.' . $phpEx);

include($phpbb_root_path . 'includes/bbcode.'.$phpEx);
include($phpbb_root_path . 'includes/functions_post.'.$phpEx);
include($phpbb_root_path . 'includes/functions_search.'.$phpEx);
include($phpbb_root_path . 'includes/find_config.'.$phpEx);
include($phpbb_root_path . 'includes/find_rssParser.'.$phpEx);

// Try and set some system settings to hopefully get round problems with
// security settings on hosting providers.
@set_time_limit(120);
@ini_set("safe_mode", "0");
@ini_set("allow_url_fopen", "1");

global $USE_CURL, $FIND_DEBUG, $FIND_INFORMATION_RDF, $NEWSFEED_SOURCES_RDF, $FIND_VERSION, $FIND_AUTHOR;

// include the mod lang_admin file
$use_lang = ( !file_exists($phpbb_root_path . 'language/lang_' . $board_config['default_lang'] . '/lang_admin_find.'.$phpEx) ) ? 'english' : $board_config['default_lang'];
include($phpbb_root_path . 'language/lang_' . $use_lang . '/lang_admin_find.' . $phpEx);

// start the page output
$template->set_filenames(array('body' => 'admin/newsfeed_sources_body.tpl'));

// Output any updates from The Comic Haven.
$status_parser = new rssParser($USE_CURL, $FIND_DEBUG);

if (!empty($FIND_INFORMATION_RDF) && $status_parser->parse($FIND_INFORMATION_RDF))
{
    $status_item_count = count($status_parser->items); 
    for ($i = 0; $i < $status_item_count; $i++)
    {
        $status_subject = trim(substr($status_parser->items[$i]['title'], 0, 59));
        $status_message = $status_parser->items[$i]['description'];
        $status_link = $status_parser->items[$i]['link'];
	$status_pubDate = $status_parser->items[$i]['pubDate'];
	$status_author = $status_parser->items[$i]['author'];

        $bbcode_uid = make_bbcode_uid(); 
        $status_message = prepare_message($status_message, 0, 1, 1, $bbcode_uid);
        $status_message = bbencode_second_pass($status_message, $bbcode_uid);
        $status_message = make_clickable($status_message);
        $status_message = smilies_pass($status_message);
        $status_message = preg_replace("/images\/smiles/", $phpbb_root_path . "/images\/smiles/", $status_message);
        $status_message = str_replace("\n", "\n<br />\n", $status_message);
	
	$status_who = ' - ' . $lang['Newsfeed_Sources_By'] . ' ';

	if (!empty($status_author))
	{
	    $status_who .= $status_author;
	}
        else
	{
	    $status_who .= 'Comic Haven Staff';
	}

        if (!empty($status_pubDate))
	{
	    $status_who .= ' ' . $lang['Newsfeed_Sources_On'] . ' ' . $status_pubDate;
	}

        $template->assign_block_vars('status_postrow', array(
	    'S_SUBJECT' => $status_subject,
	    'S_WHO'  => $status_who,
            'S_MESSAGE' => $status_message,
            'U_RSS_LINK' => $status_link,
            )
        );
    }
    
}

// Build the list of rss feeds.
$rss_parser = new rssParser($USE_CURL, $FIND_DEBUG);

if (!empty($NEWSFEED_SOURCES_RDF) && $rss_parser->parse($NEWSFEED_SOURCES_RDF))
{
    $rss_item_count = count($rss_parser->items); 
    for ($i = 0; $i < $rss_item_count; $i++)
    {
        $rss_subject = trim(substr($rss_parser->items[$i]['title'], 0, 59));
        $rss_message = $rss_parser->items[$i]['description'];
        $rss_link = $rss_parser->items[$i]['link'];

        $bbcode_uid = make_bbcode_uid(); 
        $rss_message = prepare_message($rss_message, 0, 1, 1, $bbcode_uid);
        $rss_message = bbencode_second_pass($rss_message, $bbcode_uid);
        $rss_message = make_clickable($rss_message);
        $rss_message = smilies_pass($rss_message);
        $rss_message = preg_replace("/images\/smiles/", $phpbb_root_path . "/images\/smiles/", $rss_message);
        $rss_message = str_replace("\n", "\n<br />\n", $rss_message);
        
    	$row_class = ( !($i % 2) ) ? $theme['td_class1'] : $theme['td_class2'];

        $template->assign_block_vars('rss_postrow', array(
            'ROW_CLASS' => $row_class, 
            'S_SUBJECT' => $rss_subject,
            'S_MESSAGE' => $rss_message,
            'U_RSS_LINK' => $rss_link,
            )
        );
    }
    
}

$template->assign_vars(array(
    'L_NEWSFEED_SOURCES_TITLE' => $lang['Newsfeed_Sources_Title'],
    'L_NEWSFEED_SOURCES_STATUS' => $lang['Newsfeed_Sources_Status'],
    'L_NEWSFEED_SOURCES_EXPLAIN' => $lang['Newsfeed_Sources_Explain'],
    'L_NEWSFEEDS_VERSION' => $FIND_VERSION,
    'L_NEWSFEEDS_AUTHOR' => $FIND_AUTHOR,
    'L_BACK_TO_TOP' => $lang['Back_to_top'],
    )
);


// now lets ouput the whole shebang
include('./page_header_admin.'.$phpEx);

$template->pparse('body');

include('./page_footer_admin.'.$phpEx);

?>
