<?php
/***************************************************************************
 *                              find_config.php
 *                              ----------------
 *   Description:
 *   	This module contains user configurable settings that are not
 *   	considered language specific. 
 *
 *   Last Updated	:	Sunday, February 18, 2007
 *   By			:	John MacAuley - The Comic Haven
 *   E-mail		:	hacksaw@thecomichaven.com
 *
 *   Version		: 	1.2.0
 *
 *   Changes:
 *   1.2.0      - Added configurable date and time format strings for the
 *   		  topic_prefix feature.
 *   1.1	- Created.
 *
 ***************************************************************************/

// Some hosting services block fopen() and the ini_set() can't clear it.
// If your PHP installation supports CURL then set this variable to "true";
$USE_CURL = false;

// Enable debug information.
$FIND_DEBUG = false;

// This is the php date() format that will be used to display the current
// date in the post subject if specified.
$FIND_DATE_FORMAT = 'd/m/y';

// This is the php strftime() format that will be used to display the
// current time in the post subject if specified.
$FIND_TIME_FORMAT = '%H:%M';

// If someone really screws up and doesn't provide a link to the news item
// we can send them to a default URL.
$DEFAULT_LINK = 'http://thecomichaven.com';

// This is the URL for retrieving FIND announcements and version information.
$FIND_INFORMATION_RDF = 'http://thecomichaven.com/rss/find.rdf';

// Here is an example rdf file to populate the newsfeed sources admin page.
// Replace this with any rdf/xml feed you want.
$NEWSFEED_SOURCES_RDF = 'http://thecomichaven.com/rss/example_feeds.rdf';

// Big security hole but I need to invoke this remotely via cron.  Set
// $AUTH_KEY to string used for authentication on remote requests.  Set
// to null if not being used.
//$AUTH_KEY = "Hotdog";
$AUTH_KEY = null;

// Verison and author information for admin pages.
$FIND_VERSION = 'FIND v1.2.0 - Spitt';
$FIND_AUTHOR = '<a href="http://thecomichaven.com/viewforum.php?f=37">The Comic Haven</a>';

?>
