<?php
/***************************************************************************
 *				lang_admin_find.php
 *				-------------------
 *   Description:
 *   	This file contains the language specific strings for the FIND
 *   	newsfeed admistration page.
 *
 *   Last Updated	:	Monday, March 5, 2007
 *   Author		:	John MacAuley - The Comic Haven
 *   E-mail		:	hacksaw@thecomichaven.com
 *
 *   Version		: 	1.2.0
 *
 *   Changes:
 *   1.2.0      - Added additional text strings for new newsfeed
 *                configuration options added in this release.
 *
 *   1.1	- Changed hardcoded RDF URL to load from language file so
 *                user can configure.  Added an example RDF file the user
 *                can play with. Added some additional language tags.
 *
 ***************************************************************************/

// Lables for the page title information.
$lang['FIND'] = 'FIND';
$lang['FIND_Explain'] = 'Forum Integrated News Delivery';
$lang['News_Feeds'] = 'Input Newsfeeds';
$lang['News_Feeds_Explain'] = 'Deliver Newsfeed content directly into your forums.';

// Lables for action buttons.
$lang['New_Feed'] = 'Add New Newsfeed';
$lang['Add_Feed'] = 'Add Newsfeed';
$lang['Edit_Feed'] = 'Edit Newsfeed';
$lang['Get_News_Now'] = 'Get News Now!';

// Additional table column headings (additional labels below are used).
$lang['News_Action'] = 'Action';

// We use $lang['Forum_name'] from the base language package for this label.
$lang['News_Forums_Explain'] = 'Select the forum you want to add a newsfeed to.';

$lang['News_Username'] = 'Username';
$lang['News_Username_Explain'] = 'The user account which will be used to insert your newsfeed posts.';

$lang['News_Feed_URL'] = 'Newsfeed URL';
$lang['News_URL_Explain'] = 'Enter the URL for the newsfeed (a maximum of 255 characters).';

$lang['News_Feed_Name'] = 'Newsfeed name';
$lang['News_Feed_Name_Explain'] = 'Insert a newsfeed name. Only used in the admin area to more easily identify newsfeeds (max. 60 chars)';

$lang['News_Limit'] = 'Post limit';
$lang['News_Limit_Explain'] = 'Limit the number of articles returned for each newsfeed. e.g. set to 5 to return the first 5 articles from each newsfeed. Set to 0 to return ALL.';

$lang['News_Encoding'] = 'Encoding type';
$lang['News_Encoding_Explain'] = 'Override automatic detection of the character encoding for the rss XML stream.  This can be used to manually specify the character encoding of an XML stream if it is missing, or is an invalid encoding.';

$lang['News_Include_Channel'] = 'Include channel';
$lang['News_Include_Channel_Explain'] = 'Include the newsfeed channel information in the body of the post.';

$lang['News_Include_Image'] = 'Include image';
$lang['News_Include_Image_Explain'] = 'If supplied, include the newsfeed image in the body of the post.';

$lang['News_Use_HTML'] = 'Use HTML';
$lang['News_Use_HTML_Explain'] = 'Use HTML formating in the body of post instead of BBCode.  This feature requires HTML to be allowed on the site.';

$lang['News_Is_Podcast'] = 'Is a podcast';
$lang['News_Is_Podcast_Explain'] = 'News item is a Podcast and should be created using Podcast information if present.';

$lang['News_Topic_Prefix'] = 'Add topic prefix';
$lang['News_Topic_Prefix_Explain'] = 'Add this text at the start of the post topic string.  Use the special strings "%date" and "%time" to add current date in format dd/mm/yy and time in 24 hr format hh:mm to the topic.  Time and date format strings can be changed in the FIND config file.';

$lang['News_Strip_Topic'] = 'Strip backets from topic';
$lang['News_Strip_Topic_Explain'] = 'Remove any leading brackets "[({})]" and their containing content from post topic.  Does not include any brackets added as a prefix.';

$lang['News_Single_Post'] = 'Single post';
$lang['News_Single_Post_Explain'] = 'Combine newsfeed items from an rss feed into a single post.  The "Post Limit" number of newsfeed articles will be included in the single post.  No checking is done to determine if these articles have been posted to the forum already.  Use the subject prefix capability to add date and time information to the post subject.  By default, a phpBB post can be no larger than 65536 bytes in length.  Please make sure you tailor the Post Limit value to not exceed the maximum post size limit.  This will need to be done on a per post basis.';

$lang['News_Include_Icon'] = 'Include RSS/podcast icon';
$lang['News_Include_Icon_Explain'] = 'Include the RSS or Podcast icon in the post subject line.';

$lang['News_Include_Title'] = 'Include item title line';
$lang['News_Include_Title_Explain'] = 'Include news article title line in body of post with referencing hyper-link.  In some cases the original title may have been truncated in the topic of the forum post due to length.  This will permit display of the complete title and link back to the original news article if provided.';

$lang['News_Include_Description'] = 'Include description';
$lang['News_Include_Description_Explain'] = 'Include news article description if present in RSS feed.';

$lang['News_Include_Details'] = 'Include details';
$lang['News_Include_Details_Explain'] = 'Include news article details such as author, duration, category, pubDate, and sourceURL if present in RSS feed.  These fields are typically associated with podcasts.';

$lang['News_Include_Content'] = 'Include content';
$lang['News_Include_Content_Explain'] = 'Include news article content if present in RSS feed.';

$lang['News_Include_ReadMore'] = 'Include "Read More" links';
$lang['News_Include_ReadMore_Explain'] = 'Include the "Read More" and "Comment" links in post if present in RSS feed.';

$lang['News_Strip_Images'] = 'Strip all images';
$lang['News_Strip_Images_Explain'] = 'Strip all images included in RSS feed description and content elements.';

// Labels for the admin_newsfeed_source.php page.
$lang['Newsfeed_Sources_Title'] = 'Newsfeed Sources';
$lang['Newsfeed_Sources_Status'] = 'FIND MOD Release and Status Information';
$lang['Newsfeed_Sources_Explain'] = 'Newsfeed sources you can use with your FIND MOD';
$lang['Newsfeed_Sources_By'] = 'by';
$lang['Newsfeed_Sources_On'] = 'on';

?>
